; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
; --- Remove obscured nav properties on top of the tunnel entrance that can be used to spawn in vision from the cliffs
; ———— ↑ REMOVED ON PURPOSE BY SATANİXON ↑ ——————

; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Magnum on the car by the bridge
add:
{
	"classname" "weapon_pistol_magnum"
	"origin" "-12219 -12478 -28"
	"angles" "0.537041 75.1243 83.9229"
	"ammo" "999"
	"spawnflags" "1"
}
add:
{
	"classname" "weapon_sniper_scout"
	"origin" "-12189 -12375 -64"
	"angles" "0.42 -31.05 84"
	"ammo" "90"
	"spawnflags" "1"
}
; --- Remove pills in the room above the end saferoom
filter:
{
	"hammerid" "1629697"
}
{
	"hammerid" "1629671"
}
{
	"hammerid" "1629705"
}
{
	"hammerid" "1558088"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
add:
; --- Ammo pile near the tunnel entrance
{
	"classname" "weapon_ammo_spawn"
	"origin" "-12628 -9226 -48"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Ammo pile near the tunnel exit
{
	"classname" "weapon_ammo_spawn"
	"origin" "-12736 -6302 -48"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Make the ammo pile in the maintenance room always spawn
modify:
{
	match:
	{
		"hammerid" "1497654"
	}
	insert:
	{
		"spawnflags" "2"
	}
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================
; --- Make the 2 cars by saferoom unhittable
filter:
{
	"targetname" "car_sedan1-car_physics"
}
{
	"parentname" "car_sedan1-car_physics"
}
{
	"targetname" "car_sedan2-car_physics"
}
{
	"parentname" "car_sedan2-car_physics"
}
add:
{
	"classname" "prop_dynamic"
	"origin" "-12145 -13460 -66"
	"angles" "0 75 0"
	"model" "models/props_vehicles/cara_84sedan.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-12145 -13460 -66"
	"angles" "0 75 0"
	"model" "models/props_vehicles/cara_84sedan_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-12489 -13129 -57"
	"angles" "-3 150 0"
	"model" "models/props_vehicles/cara_69sedan.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-12489 -13129 -57"
	"angles" "-3 150 0"
	"model" "models/props_vehicles/cara_69sedan_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "logic_auto"
	"OnMapSpawn" "los_saferoom_car1,AddOutput,mins -1 -105 -10,0,-1"
	"OnMapSpawn" "los_saferoom_car1,AddOutput,maxs 1 105 10,0,-1"
	"OnMapSpawn" "los_saferoom_car1,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_saferoom_car2a,AddOutput,mins -80 -1 -12,0,-1"
	"OnMapSpawn" "los_saferoom_car2a,AddOutput,maxs 80 1 12,0,-1"
	"OnMapSpawn" "los_saferoom_car2a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_saferoom_car2b,AddOutput,mins -1 -45 -12,0,-1"
	"OnMapSpawn" "los_saferoom_car2b,AddOutput,maxs 1 45 12,0,-1"
	"OnMapSpawn" "los_saferoom_car2b,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_saferoom_car2c,AddOutput,mins -30 -1 -12,0,-1"
	"OnMapSpawn" "los_saferoom_car2c,AddOutput,maxs 30 1 12,0,-1"
	"OnMapSpawn" "los_saferoom_car2c,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-12146 -13464 -61"
	"targetname" "los_saferoom_car1"
}
{
	"classname" "func_brush"
	"origin" "-12526 -13108 -50"
	"targetname" "los_saferoom_car2a"
}
{
	"classname" "func_brush"
	"origin" "-12445 -13152 -50"
	"targetname" "los_saferoom_car2b"
}
{
	"classname" "func_brush"
	"origin" "-12414 -13170 -50"
	"targetname" "los_saferoom_car2c"
}
; --- Make 4 cars by the tunnel entrance unhittable
filter:
{
	"targetname" "car_sedan4-car_physics"
}
{
	"parentname" "car_sedan4-car_physics"
}
{
	"targetname" "car_sedan6-car_physics"
}
{
	"parentname" "car_sedan6-car_physics"
}
{
	"targetname" "car_sedan7-car_physics"
}
{
	"parentname" "car_sedan7-car_physics"
}
{
	"targetname" "car_sedan8-car_physics"
}
{
	"parentname" "car_sedan8-car_physics"
}
add:
{
	"classname" "prop_dynamic"
	"origin" "-12224 -10240 -66"
	"angles" "0 90 0"
	"model" "models/props_vehicles/cara_95sedan.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-12224 -10240 -66"
	"angles" "0 90 0"
	"model" "models/props_vehicles/cara_95sedan_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-12230 -9558 -66"
	"angles" "0 120 0"
	"model" "models/props_vehicles/cara_95sedan.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-12230 -9558 -66"
	"angles" "0 120 0"
	"model" "models/props_vehicles/cara_95sedan_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-12398 -9043 -66"
	"angles" "0 120 0"
	"model" "models/props_vehicles/cara_69sedan.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "139 0 255"
}
{
	"classname" "prop_dynamic"
	"origin" "-12398 -9043 -66"
	"angles" "0 120 0"
	"model" "models/props_vehicles/cara_69sedan_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-12468 -8114 -66"
	"angles" "0 90 0"
	"model" "models/props_vehicles/cara_82hatchback.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-12468 -8114 -66"
	"angles" "0 90 0"
	"model" "models/props_vehicles/cara_82hatchback_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "logic_auto"
	"OnMapSpawn" "los_tunnel_car1,AddOutput,mins -1 -98 -8,0,-1"
	"OnMapSpawn" "los_tunnel_car1,AddOutput,maxs 1 98 8,0,-1"
	"OnMapSpawn" "los_tunnel_car1,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_tunnel_car2a,AddOutput,mins -1 -63 -8,0,-1"
	"OnMapSpawn" "los_tunnel_car2a,AddOutput,maxs 1 63 8,0,-1"
	"OnMapSpawn" "los_tunnel_car2a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_tunnel_car2b,AddOutput,mins -40 -1 -8,0,-1"
	"OnMapSpawn" "los_tunnel_car2b,AddOutput,maxs 40 1 8,0,-1"
	"OnMapSpawn" "los_tunnel_car2b,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_tunnel_car2c,AddOutput,mins -1 -30 -8,0,-1"
	"OnMapSpawn" "los_tunnel_car2c,AddOutput,maxs 1 30 8,0,-1"
	"OnMapSpawn" "los_tunnel_car2c,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_tunnel_car3a,AddOutput,mins -1 -75 -8,0,-1"
	"OnMapSpawn" "los_tunnel_car3a,AddOutput,maxs 1 75 8,0,-1"
	"OnMapSpawn" "los_tunnel_car3a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_tunnel_car3b,AddOutput,mins -40 -1 -8,0,-1"
	"OnMapSpawn" "los_tunnel_car3b,AddOutput,maxs 40 1 8,0,-1"
	"OnMapSpawn" "los_tunnel_car3b,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_tunnel_car3c,AddOutput,mins -1 -36 -8,0,-1"
	"OnMapSpawn" "los_tunnel_car3c,AddOutput,maxs 1 36 8,0,-1"
	"OnMapSpawn" "los_tunnel_car3c,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_tunnel_car4,AddOutput,mins -1 -75 -6,0,-1"
	"OnMapSpawn" "los_tunnel_car4,AddOutput,maxs 1 75 6,0,-1"
	"OnMapSpawn" "los_tunnel_car4,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-12224 -10242 -57"
	"targetname" "los_tunnel_car1"
}
{
	"classname" "func_brush"
	"origin" "-12208 -9596 -58"
	"targetname" "los_tunnel_car2a"
}
{
	"classname" "func_brush"
	"origin" "-12247 -9532 -58"
	"targetname" "los_tunnel_car2b"
}
{
	"classname" "func_brush"
	"origin" "-12256 -9501 -58"
	"targetname" "los_tunnel_car2c"
}
{
	"classname" "func_brush"
	"origin" "-12375 -9086 -57"
	"targetname" "los_tunnel_car3a"
}
{
	"classname" "func_brush"
	"origin" "-12416 -9012 -57"
	"targetname" "los_tunnel_car3b"
}
{
	"classname" "func_brush"
	"origin" "-12430 -8975 -57"
	"targetname" "los_tunnel_car3c"
}
{
	"classname" "func_brush"
	"origin" "-12468 -8112 -59"
	"targetname" "los_tunnel_car4"
}

; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block survivors from being able to skip the ladder choke by jumping across the bridge
{
	"classname" "env_physics_blocker"
	"origin" "-12326 -11683 524"
	"mins" "-272 -59 -756"
	"maxs" "272 59 756"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "bridge_skip_blocker"
}
; --- Disable the blocker temporarily while survivors are on the collapsed bridge section
{
	"classname" "logic_auto"
	"OnMapSpawn" "bridge_skip_blocker_trigger,AddOutput,mins -271 -127 -756,0,-1"
	"OnMapSpawn" "bridge_skip_blocker_trigger,AddOutput,maxs 271 127 756,0,-1"
	"OnMapSpawn" "bridge_skip_blocker_trigger,AddOutput,boxmins -271 -127 -756,0,-1"
	"OnMapSpawn" "bridge_skip_blocker_trigger,AddOutput,boxmaxs 271 127 756,0,-1"
	"OnMapSpawn" "bridge_skip_blocker_trigger,AddOutput,solid 2,0,-1"
}
{
	"classname" "trigger_multiple"
	"origin" "-12326 -11614 525"
	"targetname" "bridge_skip_blocker_trigger"
	"filtername" "filter_survivor"
	"spawnflags" "1"
	"OnTrigger" "bridge_skip_blocker,Disable,,0,-1"
	"OnNotTouching" "bridge_skip_blocker,Enable,,0,-1"
}
{
	"classname" "filter_activator_team"
	"targetname" "filter_survivor"
	"Negated" "Allow entities that match criteria"
	"filterteam" "2"
}
{
	"classname" "logic_timer"
	"targetname" "bridge_skip_blocker_timer"
	"RefireTime" "2"
	"OnTimer" "bridge_skip_blocker_trigger,TouchTest,,0,-1"
}
; --- Block survivors from standing on a clip at the end of the tunnel
{
	"classname" "env_physics_blocker"
	"origin" "-13128 -5226 120"
	"mins" "-88 -25 -40"
	"maxs" "88 25 40"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from skipping to the end saferoom by jumping on some trees
{
	"classname" "env_physics_blocker"
	"origin" "-11318 -5284 895"
	"mins" "-66 -36 -609"
	"maxs" "66 36 609"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================
; --- Block out of bounds spots at the start of the map
add:
; --- By the starting saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-9344 -15872 512"
	"mins" "-640 -384 -768"
	"maxs" "640 384 768"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Right side of the bridge valley
{
	"classname" "env_physics_blocker"
	"origin" "-9568 -11680 384"
	"mins" "-864 -1312 -896"
	"maxs" "864 1312 896"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-10592 -10776 -16"
	"mins" "-160 -408 -496"
	"maxs" "160 408 496"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-10537 -11271 416"
	"angles" "0 45 0"
	"mins" "-88 -216 -64"
	"maxs" "88 216 64"
	"boxmins" "-88 -216 -64"
	"boxmaxs" "88 216 64"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Above the tunnel entrance
{
	"classname" "env_physics_blocker"
	"origin" "-11096 -9952 364"
	"mins" "-664 -416 -188"
	"maxs" "664 416 188"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-12472 -9608 336"
	"mins" "-712 -72 -160"
	"maxs" "712 72 160"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-12640 -9248 728"
	"mins" "-544 -288 -552"
	"maxs" "544 288 552"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Left side of bridge valley
{
	"classname" "env_physics_blocker"
	"origin" "-13984 -9456 156"
	"mins" "-160 -496 -92"
	"maxs" "160 496 92"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-14897 -10565 -224"
	"mins" "-501 -197 -288"
	"maxs" "501 197 288"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-14613 -10861 -270"
	"angles" "0 35 0"
	"mins" "-330 -288 -242"
	"maxs" "330 288 242"
	"boxmins" "-330 -288 -242"
	"boxmaxs" "330 288 242"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block out of bounds spots at the end of the map
; --- By the end saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-11353 -4824 458"
	"mins" "-71 -32 -174"
	"maxs" "71 32 174"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11872 -4480 678"
	"mins" "-448 -256 -422"
	"maxs" "448 256 422"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Cliffs to the right
{
	"classname" "env_physics_blocker"
	"origin" "-12400 -5600 788"
	"mins" "-80 -96 -716"
	"maxs" "80 96 716"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11152 -6880 552"
	"mins" "-80 -64 -648"
	"maxs" "80 64 648"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11120 -6584 552"
	"mins" "-48 -232 -648"
	"maxs" "48 232 648"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-12296 -6690 524"
	"mins" "-20 -126 -24"
	"maxs" "20 126 24"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-12220 -6765 524"
	"mins" "-56 -51 -24"
	"maxs" "56 51 24"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-12128 -6776 524"
	"mins" "-36 -40 -24"
	"maxs" "36 40 24"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11744 -6782 524"
	"mins" "-348 -34 -24"
	"maxs" "348 34 24"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11624 -6782 476"
	"mins" "-140 -34 -24"
	"maxs" "140 34 24"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11306 -6778 552"
	"mins" "-90 -38 -52"
	"maxs" "90 38 52"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11248 -6584 552"
	"mins" "-32 -164 -52"
	"maxs" "32 164 52"
	"initialstate" "1"
	"BlockType" "2"
}

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Block stuck spot on top of truck in car pile up
{
	"classname" "env_physics_blocker"
	"origin" "-12967 -7005 123"
	"mins" "-38 -30 -38"
	"maxs" "38 30 38"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Prevent stuck spots under lights in the sewer saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-11119 -4883 481"
	"mins" "-1 -4 -63"
	"maxs" "1 4 63"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-10713 -4883 497"
	"mins" "-1 -4 -79"
	"maxs" "1 4 79"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Clipping on rocks on the left side of the valley
{
	"classname" "env_physics_blocker"
	"origin" "-13503 -11462 -501"
	"mins" "-26 -23 -8"
	"maxs" "26 23 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-13520 -11787 -501"
	"mins" "-23 -26 -8"
	"maxs" "23 26 8"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block gap in wall by ladder that could be seen through
{
	"classname" "prop_dynamic"
	"origin" "-12064 -11066 -65"
	"angles" "90 0 0"
	"model" "models/props_urban/stair_tread_concrete_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-12064 -11183 -65"
	"angles" "90 0 0"
	"model" "models/props_urban/stair_tread_concrete_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Solidify railing on the left side ladder
{
	"classname" "prop_dynamic"
	"origin" "-12910 -11073 -152.2"
	"angles" "0 180 0"
	"model" "models/props_c17/handrail04_short.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
; --- Clipping to stop players getting stuck on the broken wall near the start of the tunnel
{
	"classname" "env_physics_blocker"
	"origin" "-12582 -8602 -43"
	"mins" "-7 -20 -5.5"
	"maxs" "7 20 5.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-12582 -8531 -43"
	"mins" "-7 -20 -5.5"
	"maxs" "7 20 5.5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on tire of overturned car in the tunnel
{
	"classname" "env_physics_blocker"
	"origin" "-12973 -7180 -13"
	"mins" "-15.5 -8 -3"
	"maxs" "15.5 8 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-12973 -7180 -10"
	"mins" "-14.5 -7 -6.5"
	"maxs" "14.5 7 6.5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on pipe in the collapsed ceiling near the end of the tunnel
{
	"classname" "env_physics_blocker"
	"origin" "-12864 -6197 183"
	"mins" "-33 -25 -7"
	"maxs" "33 25 7"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on some cracks in the wall at the end of the tunnel to stop survivors from getting stuck
{
	"classname" "env_physics_blocker"
	"origin" "-12768 -5940 40"
	"mins" "-1 -103 -88"
	"maxs" "1 103 88"
	"initialstate" "1"
	"BlockType" "1"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Rock in the back of the saferoom
{
	"classname" "prop_dynamic"
	"origin" "-11473 -14609 -206"
	"angles" "14.4775 74.4959 -3.96713"
	"model" "models/props/cs_militia/militiarock03.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11467 -14596 528"
	"mins" "-29 -36 -752"
	"maxs" "29 36 752"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Bus outside the saferoom
{
	"classname" "prop_dynamic"
	"origin" "-12506 -14106 -65"
	"angles" "-17 175 -3"
	"model" "models/props_vehicles/bus01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block LOS under bus
{
	"classname" "logic_auto"
	"OnMapSpawn" "los_saferoom_bus_a,AddOutput,mins -130 -1 -50,0,-1"
	"OnMapSpawn" "los_saferoom_bus_a,AddOutput,maxs 130 1 50,0,-1"
	"OnMapSpawn" "los_saferoom_bus_a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "los_saferoom_bus_b,AddOutput,mins -91 -1 -36,0,-1"
	"OnMapSpawn" "los_saferoom_bus_b,AddOutput,maxs 91 1 36,0,-1"
	"OnMapSpawn" "los_saferoom_bus_b,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-12594 -14105 -34"
	"targetname" "los_saferoom_bus_a"
}
{
	"classname" "func_brush"
	"origin" "-12373 -14105 -83"
	"targetname" "los_saferoom_bus_b"
}
; --- Tree to cross between cliffs in the valley to get above the saferoom
{
	"classname" "prop_dynamic"
	"origin" "-11104 -11119 393"
	"angles" "44 270 0"
	"model" "models/props_foliage/tree_cliff_01a.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11102 -11097 394"
	"mins" "-24 -56 -8"
	"maxs" "24 56 8"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11110 -11264 468"
	"angles" "0 0 -34"
	"mins" "-19 -149 -8"
	"maxs" "19 149 8"
	"boxmins" "-19 -149 -8"
	"boxmaxs" "19 149 8"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11110 -11419 550"
	"mins" "-19 -36 -8"
	"maxs" "19 36 8"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "-11139 -11832 509"
	"angles" "0 65 180"
	"model" "models/props/cs_militia/militiarock06.mdl"
	"solid" "6"
	"disableshadows" "1"
}

; =====================================================
; ==             LADDER / ELEVATOR NERF              ==
; ==   Nerf ladder & elevator attacks for infected   ==
; =====================================================


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
; --- Remove TLS clips after loading
add:
{
	"classname" "logic_auto"
	; --- Clips above the tunnel entrance
	"OnMapSpawn" "anv_mapfixes_meticulous_funcinfclip01,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_meticulous_funcinfclip02,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_meticulous_funcinfclip03,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_meticulous_funcinfclip04,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_bridgetunnel_wrongway,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_yesdrawcliff_clip1,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_yesdrawcliff_clip2,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_yesdrawcliff_rocks1,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_yesdrawcliff_rocks2,Kill,,15,-1"
}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Infected ladder to climb on the cliff above the saferoom at the bridge
;{
;	"classname" "func_simpleladder"
;	"origin" "-24773 -22719.99 -566.85"
;	"angles" "0 180 -5"
;	"model" "*71"
;	"normal.x" "0.00"
;	"normal.y" "0.99"
;	"normal.z" "0.08"
;	"team" "2"
;	"targetname" "saferoom_cliff_ladder"
;}
;{
;	"classname" "prop_dynamic"
;	"origin" "-11441 -11694 190"
;	"angles" "0 0 0"
;	"model" "models/props_rooftop/gutter_pipe_128.mdl"
;	"solid" "0"
;	"disableshadows" "1"
;	"rendermode" "10"
;	"targetname" "saferoom_cliff_ladder_prop"
;}
;{
;	"classname" "logic_auto"
;	"OnMapSpawn" "saferoom_cliff_ladder,SetParent,saferoom_cliff_ladder_prop,0,-1"
;}
; --- Fix getting knocked off infected ladder on cliff by the bridge
modify:
{
	match:
	{
		"hammerid" "1599589"
	}
	insert:
	{
		"origin" "0 -2 0"
	}
}
; --- Fix getting knocked off infected ladder on cliff by the end saferoom
{
	match:
	{
		"hammerid" "1588193"
	}
	insert:
	{
		"origin" "-2 -5 0"
	}
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==                    TREE CARDS                   ==
; ==       Stop tanks from hiding behind trees       ==
; =====================================================
; --- Move main set of tree cards by the saferoom further back and make them solid
modify:
{
	match:
	{
		"hammerid" "1098761"
	}
	replace:
	{
		"classname" "func_brush"
		"origin" "-12528 -14464 532"
	}
	insert:
	{
		"Solidity" "2"
	}
}
; --- Remove extra tree cards behind main set
filter:
{
	"hammerid" "1064742"
}
